#include<bits/stdc++.h>

#include "triangles.h"

using namespace std;


vector<vector<int>> solve(int n) {
    int y = compare({Triangle(0, 1, 2)}, {Triangle(0, 1, 3), Triangle(0, 2, 3), Triangle(1, 2, 3)});
    vector<vector<int>> ans;
    if (y == 0) {
        ans = {{0, 1, 3}, {0, 2, 3}, {1, 2, 3}};
    } else {
        int y2 = compare({Triangle(0, 1, 2), Triangle(0, 1, 3)}, {Triangle(2, 3, 1), Triangle(0, 2, 3)});
        if (y2 == 0) {
            ans = {0, 3, 1, 2};
        } else {
            int y3 = compare({Triangle(0, 1, 2), Triangle(2, 1, 3)}, {Triangle(0, 3, 1), Triangle(0, 2, 3)});
            if (y3 == 0) {
                ans = {0, 1, 3, 2};
            } else {
                ans = {0, 1, 2, 3};
            }
        }
    }
    return ans;
}
